ormolu-0.7.2.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | GHC2021

Ormolu.Processing.Preprocess

Description

Preprocessing for input source code.

Synopsis

- preprocess :: Bool -> RegionDeltas -> Text -> [Either Text RegionDeltas]

# Documentation

preprocess Source #

Arguments

:: Bool | Whether CPP is enabled
-> RegionDeltas |
-> Text |
-> [Either Text RegionDeltas] |

Preprocess the specified region of the input into raw snippets and subregions to be formatted.